//gcc -lnsl -lresolv <prog>.c -o <prog> && ./prog

#ifndef _TCP_CLIENT_H_
#define _TCP_CLIENT_H_

//call once before using to initialize connection to server
void init(char* server_ip, int port);

//get bit-position in array for given coordinates
int getPos(int x, int y);

//write bit to array
void writeToArray(int in, int pos);

//clear array (all pixels off)
void resetScreen();

//send to screen
int display();

//shows a 3x9px digit on screen. x/y is upper left corner
void putNumber(int n, int x, int y);

//3x5 char
void putChar(char c, int x, int y);

#endif //_TCP_CLIENT_H_
